package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFActionMapper;
import com.sa.ibiz.demo.demo.domain.WFAction;
import com.sa.ibiz.demo.demo.service.WFActionService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFActionSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.WFWorkflowService;

/**
 * 实体[WFAction] 服务对象接口实现
 */
@Service
public class WFActionServiceImpl extends ServiceImplBase<WFActionMapper, WFAction> implements WFActionService{

    @Autowired
    private WFWorkflowService wfworkflowService;

    @Resource
    private WFActionMapper wfactionMapper;


    @Override
    public boolean create(WFAction et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFAction et){
        this.beforeUpdate(et);
		this.wfactionMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFAction et){
		return et.getWfactionid();  
    }

    @Override
    public boolean getDraft(WFAction et)  {
    if((!StringUtils.isEmpty(et.getWfworkflowid())) && et.getWfworkflow() == null){
            try {
                et.setWfworkflow(wfworkflowService.getById(et.getWfworkflowid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<WFAction> listDefault(WFActionSearchFilter filter) {
		return wfactionMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFAction> searchDefault(WFActionSearchFilter filter) {
		return wfactionMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfactionMapper.selectRow(sql);
    }

 }